
BornAgain - Bug #1661

Feature # 1680 (Resolved): Provide 1.7.1 hotfix

FitSuite doesn't know about TestMinimizer

22 Nov 2016 15:16 - pospelov

Status: Resolved Start date: 22 Nov 2016

Priority: Normal Due date:  

Assignee: pospelov % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Sprint 33   

Description

During last minimizer refactoring I've lost TestMinimizer, which is the favorite of Dominique.

Following lines are required in MinimizerFactory::createMinimizer

    else if(minimizerName == MinimizerNames::Test) {

        result = new TestMinimizer();

    }

 

Provide functional test and include into 1.7.1 hotfix.

History

#1 - 25 Nov 2016 09:38 - wuttke

- Parent task set to #284

#2 - 25 Nov 2016 13:30 - wuttke

- Parent task changed from #284 to #1680

hope I understand correctly that this is to go into the hotfix?

#3 - 25 Nov 2016 13:32 - pospelov

yes, it was requested and it is easy to fix

#4 - 01 Dec 2016 13:52 - pospelov

- Status changed from Sprint to Resolved

Fixed, but without providing functional test. Later will be created as separate issue
